Description

WOCAT secretariat users should have permission to see and edit all questionnaires (see and edits "drafts”, edit "public").

Subtasks:

Task # 1068: Ldschen von case studies

Task # 1109: Drafts sollten fir WOCAT Sec sichtbar sein

Task # 1110: Edit nach publishing sollte fir uns mdglich sein

Task # 1136: WOCAT secretariat users should have permission to see and edit all questio...

Closed
Rejected
Closed
Closed

History

#1 - 24 Jan 2017 14:19 - Lukas Vonlanthen
- Status changed from New to In Progress

- Assignee set to Lukas Vonlanthen

#2 - 26 Jan 2017 09:55 - Kurt Gerber

- Status changed from In Progress to Resolved
#3 - 26 Jan 2017 11:48 - Kurt Gerber
Super Users have now the following 'super powers':

e They can view and edit all cases independently of their status and ownership (compiler).
e They can delete cases.

Deletion of cases:

Deletion means a deletion of a single version (public oder draft version).
To delete a case with several versions, all versions have to be deleted one after the other. But we think this will be very rare case..

Compilers could already delete a their draft version. That is still the case.
Only super users have the right to delete cases. Reviewers not. We think, this is a more secure approach.

#4 - 26 Jan 2017 15:15 - Nina Lauterburg

Bei mir funktioniert das Léschen weder auf gqcat.wocat.net noch auf auf qcat-dev.wocat.net. Benutze ich eine falsche URL?

#5 - 26 Jan 2017 15:21 - Lukas Vonlanthen

Ich habe da noch einen kleinen Fehler entdeckt. Bin dran. Ware aber sowieso erst auf dem Dev-Server.

#6 - 02 Feb 2017 10:01 - Lukas Vonlanthen

Das Problem sollte nun behoben sein. Bitte auf qcat-dev.wocat.net nochmals testen. Merci!

#7 - 06 Feb 2017 13:21 - Lukas Vonlanthen

- Status changed from Resolved to Closed

25 Mar 2025

Deletion doesn't really delete the case, it just makes in 'invisible'. That is important! A restore will just be to change 'flag’ in the database...
